unity-mail + indicator-messages dpkg incomaptibily

Bug #1579063 reported by rcspam on 2016-05-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity Mail
Critical
Robert Tari

Bug Description

Hi,

It's impossible to install indicator-messages and unity-mail together because '/usr/share/icons/hicolor/scalable/status/indicator-messages.svg' are in both packages.

I suppose you must remove it from unity-mail.

$ sudo apt install unity-mail
.
.
Unpacking unity-mail (1.5.4.12~ubuntu16.04.1) ...
dpkg: error processing archive /var/cache/apt/archives/unity-mail_1.5.4.12~ubuntu16.04.1_all.deb (--unpack):
 trying to overwrite '/usr/share/icons/hicolor/scalable/status/indicator-messages-new.svg', which is also in package indicator-messages 13.10.1+15.10.20150505-0ubuntu1
.
.
Errors were encountered while processing:
 /var/cache/apt/archives/unity-mail_1.5.4.12~ubuntu16.04.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

cheers rcspam

Robert Tari (robert-tari) wrote :

This appears to affect Unity only, I will add a post-install script to conditionally copy the icons if they are not present.

Changed in unity-mail:
importance: Undecided → Critical
assignee: nobody → Robert Tari (robert-tari)
status: New → Confirmed
Changed in unity-mail:
status: Confirmed → Fix Released
rcspam (rcspam) wrote :

Thanks install works great now
rcspam

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers